package cn.com.countrygarden.bi.main.model.wcx;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import java.util.Date;

/**
 * 创新
 * @author ferren
 */
@Table(name = "wechat_createproject")
public class WcxOriginality {
    @Id
    private String projectid; //varchar(36) NOT NULL COMMENT '主键',
    @Column(name = "title")
    private String title; //varchar(255) CHARACTER SET utf8mb4 DEFAULT NULL COMMENT '标题',
    @Column(name = "content")
    private String content; //varchar(1000) CHARACTER SET utf8mb4 DEFAULT NULL COMMENT '内容',
    @Column(name = "createdate")
    private Date createdate; //datetime DEFAULT NULL COMMENT '创建日期',
    @Column(name = "status")
    private Integer status; //int(2) DEFAULT NULL COMMENT '状态  0 ：正在使用,1:不使用，2，已经中奖',
    @Column(name = "userid")
    private String userid; //varchar(99) DEFAULT NULL COMMENT '用户表的主键',
    @Column(name = "teammembers")
    private String teammembers; //varchar(1000) DEFAULT NULL COMMENT '团队成员介绍',
    @Column(name = "baselineid")
    private Integer baselineid; //int(10) DEFAULT NULL COMMENT '基线主键',
    @Column(name = "classification")
    private Integer classification; //int(10) DEFAULT NULL COMMENT '类型主键',
    @Column(name = "regionid")
    private String regionid; //varchar(99) CHARACTER SET utf8mb4 DEFAULT NULL COMMENT '区域表主键',
    @Column(name = "projecttype")
    private String projecttype; //int(2) DEFAULT '1' COMMENT '创新类型  1,代表个人创新，2,代表团队创新。',
    @Column(name = "audithaspassed")
    private Integer audithaspassed; //int(2) DEFAULT NULL,

    public String getProjectid() {
        return projectid;
    }

    public void setProjectid(String projectid) {
        this.projectid = projectid;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public Date getCreatedate() {
        return createdate;
    }

    public void setCreatedate(Date createdate) {
        this.createdate = createdate;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public String getUserid() {
        return userid;
    }

    public void setUserid(String userid) {
        this.userid = userid;
    }

    public String getTeammembers() {
        return teammembers;
    }

    public void setTeammembers(String teammembers) {
        this.teammembers = teammembers;
    }

    public Integer getBaselineid() {
        return baselineid;
    }

    public void setBaselineid(Integer baselineid) {
        this.baselineid = baselineid;
    }

    public Integer getClassification() {
        return classification;
    }

    public void setClassification(Integer classification) {
        this.classification = classification;
    }

    public String getRegionid() {
        return regionid;
    }

    public void setRegionid(String regionid) {
        this.regionid = regionid;
    }

    public String getProjecttype() {
        return projecttype;
    }

    public void setProjecttype(String projecttype) {
        this.projecttype = projecttype;
    }

    public Integer getAudithaspassed() {
        return audithaspassed;
    }

    public void setAudithaspassed(Integer audithaspassed) {
        this.audithaspassed = audithaspassed;
    }
}
